%set_verify_elf_method skip

Name: 	  pantum
Version:  1.1.99
Release:  alt3
Summary:  Pantum drivers
License: distributable
Group: System/Configuration
Source0: %name-%version.tgz
Source1: ptps.bpatch

Url: https://global.pantum.com/

Packager: Anton Shevtsov <shevtsov.anton@gmail.com>

BuildRequires: bsdiff
Requires: cups sane libcups libjpeg8 ipp-usb
AutoReqProv: no


BuildArch: x86_64

%description 
CUPS and SANE drivers for Pantum series printer and scanner.

%prep
%setup -v
bspatch usr/lib/cups/filter/ptps usr/lib/cups/filter/ptps %SOURCE1


%install
#etc
mkdir -p %buildroot/%_sysconfdir/udev/rules.d/
mkdir -p %buildroot/%_sysconfdir/sane.d/dll.d/

#opt
mkdir -p %buildroot/opt/%name/{lib,bin,ippfilter}

#usr
mkdir -p %buildroot/%_usr/lib/cups/filter

mkdir -p %buildroot/%_libdir/sane

mkdir -p %buildroot/%_datadir/doc/%name
mkdir -p %buildroot/%_datadir/cups/model/Pantum

cp -Pr opt/* %buildroot/opt/
cp -Pr usr/* %buildroot/%_usr/
cp -Pr etc/* %buildroot/%_sysconfdir/

#mkdir -p %buildroot/%_udevrulesdir
#mkdir -p %buildroot/%_unitdir


%post
RULES_DIR="/lib/udev/rules.d/"
SERVICE_DIR="/lib/systemd/system/"

IPP_FILTER_DIR="/opt/pantum/ippfilter"

IPPUSB_RULES=$IPP_FILTER_DIR/71-ipp-usb.rules
IPPUSB=$IPP_FILTER_DIR/ipp-usb
IPPUSB_SERVICE=$IPP_FILTER_DIR/pt-ipp-usb.service


IPPUSBXD_EXIST=0
#if [ -f $RULES_DIR/55-ippusbxd.rules ]&&[ -f $SERVICE_DIR/ippusbxd@.service ]&&[ -f /usr/sbin/ippusbxd ];then
#IPPUSBXD_EXIST=1
#fi

#IPPUSB_EXIST=0
#if [ -f $RULES_DIR/71-ipp-usb.rules ]&&[ -f $SERVICE_DIR/ipp-usb.service ]&&[ -f /usr/bin/ipp-usb ];then
#IPPUSB_EXIST=1
#fi

IPPUSB_SERVICE_IS_ACTIVE=$(systemctl is-active ipp-usb)

#IPPUSBXD_SERVICES_BUS_DEV=$(lsusb -d 232b: | awk -F"[ :]" '{print $2":"$4}')

#if [ $IPPUSB_EXIST -eq 1 ];then
    cp $IPPUSB_RULES $RULES_DIR
    cp $IPPUSB_SERVICE $SERVICE_DIR
    cp $IPPUSB /opt/pantum/bin/
    chmod 755 /opt/pantum/bin/ipp-usb
    systemctl daemon-reload
    udevadm control --reload
    if [ "$IPPUSB_SERVICE_IS_ACTIVE" == "active" ];then
        systemctl stop ipp-usb
        systemctl start pt-ipp-usb
    fi
#fi

QPDF_EXIST=$(qpdf --version &> /dev/null ;echo $?)
if [ "$QPDF_EXIST" == "127" ];then
    QPDF_VERSION=1
else
    QPDF_VERSION=`qpdf --version |grep version |awk '{print $3}' |awk -F\. '{print $1}' | head -1`
fi

if [ $QPDF_VERSION -lt 8 ];then
    echo "/opt/pantum/lib" > /etc/ld.so.conf.d/pantum.conf
    #/sbin/ldconfig
fi




%preun
rm -f /etc/ld.so.conf.d/pantum.conf
rm -f /lib/udev/rules.d/71-ipp-usb.rules
rm -f /lib/systemd/system/ipp-usb.service
systemctl daemon-reload
udevadm control --reload


#/sbin/ldconfig


%files
%exclude %_libexecdir/debug
/opt/%name/*
%_sysconfdir/*
%_usr/*
%_libdir/sane/*
%_datadir/doc/*
%_datadir/cups/model/Pantum/*

%changelog
* Mon Apr 10 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.99-alt3
- Fix bugs

* Fri Mar 03 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.99-alt2
- New version

* Fri Oct 07 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.96-alt2
- Rename /etc/pantumhack to /etc/pantumwrap

* Wed Sep 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.96-alt1
- New version

* Wed Sep 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.94-alt2
- Add patch and /etc/pantumhack file

* Thu Sep 20 2022  Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.94-alt1
- New version

* Wed Oct 27 2021  Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 1.1.84-alt2
- New version

* Mon Feb 3 2020 Anton Shevtsov <x09@altlinux.org> 1.1.5-alt2
- Repack from official DEB package for Ubuntu
